#!/bin/bash

DOCKER_IP=$(ipconfig getifaddr en0)
PORTS_DVWA=$1

CURRENT_DIR=$(pwd)
REPORTS_DIR=$CURRENT_DIR/zaproxy/reports

rm $REPORTS_DIR/*

for var in ${PORTS_DVWA//,/ }; do  
    PORT=$(echo $var | cut -f1 -d-)
	docker run -v $REPORTS_DIR:/zap/wrk/:rw -t owasp/zap2docker-weekly zap-baseline.py -t http://$DOCKER_IP:$PORT -g gen.conf -r testreport_$PORTS_DVWA.html -x testreport_$PORTS_DVWA.xml
done 

